Summary: Utility programs for the AWE32/Emu10k1 sound driver
Name: awesfx
Version: 0.5.1c
Release: 1%{?dist}
Group: Applications/Multimedia
URL: http://www.alsa-project.org/~iwai/awedrv.html
Source: http://ftp.suse.com/pub/people/tiwai/awesfx/awesfx-%{version}.tar.bz2
Source1: udev-soundfont
Source2: load-soundfont
Source3: 41-soundfont.rules
Patch0: rename-getline-to-parseline.patch
License: GPLv2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: alsa-lib-devel >= 1.0.0

%description
The awesfx package contains various utility programs for controlling the 
AWE32/Emu10k1 sound driver. AWESFX includes asxfload and sfxload, the 
soundfont loaders; setfx, the chorus/reverb effect loader; aweset, a 
controller for setting parameters; and programs for converting soundfonts 
to text.

If you use an AWE32 or Emu10k1 sound driver you should install the awesfx 
package.

%prep
%setup -q

%patch0 -p1

%build
%configure CFLAGS="$RPM_OPT_FLAGS"
make  %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/etc/alsa.d
cp -p %{SOURCE1} %{buildroot}/etc/alsa.d
cp -p %{SOURCE2} %{buildroot}/etc/alsa.d
mkdir -p %{buildroot}/etc/udev/rules.d
cp -p %{SOURCE3} %{buildroot}/etc/udev/rules.d
mkdir -p %{buildroot}%{_datadir}/soundfonts
mv %{buildroot}%{_datadir}/sounds/sf2/*.bnk %{buildroot}%{_datadir}/soundfonts
rm -f %{buildroot}%{_datadir}/sounds/sf2/*
mkdir -p %{buildroot}/bin
rm -f samples/Makefile*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README SBKtoSF2.txt samples/README-bank samples/setfx-sample.cfg
%{_bindir}/*
%dir %{_datadir}/soundfonts/*.bnk
%{_mandir}/man1/sfxload.1.gz
%{_mandir}/man1/asfxload.1.gz
%config(noreplace) %{_sysconfdir}/udev
%attr(0755, root, root) %{_sysconfdir}/alsa.d

%changelog
* Thu Mar 12 2009 Guido Grazioli <guido.grazioli@gmail.com> 0.5.1c-1
- initial packaging
